Bug 579388 - Move libs from main gettext package into -libs subpackage
Summary: Move libs from main gettext package into -libs subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gettext
Version: 13
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 21:35 UTC by Peter Robinson
Modified: 2010-04-30 23:45 UTC (History)
3 users (show)

Fixed In Version: gettext-0.17-16.1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-30 23:45:32 UTC


Attachments (Terms of Use)

Description Peter Robinson 2010-04-04 21:35:26 UTC
The following two libraries reside in the main gettext package.

/usr/lib64/libgettextlib-0.17.so
/usr/lib64/libgettextsrc-0.17.so

The blender package depends on these libraries but because the main gettext package depends on cvs it causes perl and a number of other dependencies to be pulled in adding quite a bit of dependency bloat. As there's already a -libs package it would be great if these could be moved into the libs package because autopoint in the main package needs cvs.

This would allow the design spin to remove perl and a number of other dependencies.

Comment 1 Jens Petersen 2010-04-23 07:56:06 UTC
Thanks for the report - will happen in next build.

Is this a priority for f13?

Comment 2 Peter Robinson 2010-04-23 09:00:32 UTC
> Is this a priority for f13?    

It would be useful as blender depends on it and the main package pulls in perl. Its one of 2 perl deps in that spin (the other being inkscape - bug 579390)

Comment 3 Jens Petersen 2010-04-24 05:57:39 UTC
Ok, I can provide a backport to F13 then I think.

Fixed in rawhide first: gettext-0.17-17.fc14
http://koji.fedoraproject.org/koji/taskinfo?taskID=2134922

Comment 4 Jens Petersen 2010-04-24 06:04:05 UTC
gettext-0.17-16.1.fc13
http://koji.fedoraproject.org/koji/taskinfo?taskID=2134951

Comment 5 Fedora Update System 2010-04-24 06:23:38 UTC
gettext-0.17-16.1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gettext-0.17-16.1.fc13

Comment 6 Fedora Update System 2010-04-25 13:52:12 UTC
gettext-0.17-16.1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gettext-0.17-16.1.fc13

Comment 7 Fedora Update System 2010-04-30 23:45:28 UTC
gettext-0.17-16.1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.